sayren Docs
상점 설정

구성원 역할 변경

PATCH
/v1/store/members/{userId}

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Path Parameters

userId*string

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Request Body

application/json
  1. body
role*string
Value in"ADMIN""STAFF"

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X PATCH 'https://api.sayren.io/v1/store/members/string' \  -H 'X-Store-Id: string' \  -H 'Content-Type: application/json' \  -d '{  "role": "ADMIN"}'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "userId": "string",    "role": "ADMIN"  },  "error": null}